DK API 文档

instagram 03

15 个接口

GETfetch hashtag posts

GET https://dkai.store/api/v1/instagram/v2/fetch_hashtag_posts

2 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_hashtag_posts?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch highlight stories

GET https://dkai.store/api/v1/instagram/v2/fetch_highlight_stories

2 积分 / 成功调用

参数位置要求说明
highlight_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_highlight_stories?highlight_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch location posts

GET https://dkai.store/api/v1/instagram/v2/fetch_location_posts

2 积分 / 成功调用

参数位置要求说明
location_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_location_posts?location_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch music posts

GET https://dkai.store/api/v1/instagram/v2/fetch_music_posts

2 积分 / 成功调用

参数位置要求说明
audio_canonical_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_music_posts?audio_canonical_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post comments

GET https://dkai.store/api/v1/instagram/v2/fetch_post_comments

2 积分 / 成功调用

参数位置要求说明
code_or_urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_post_comments?code_or_url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post info

GET https://dkai.store/api/v1/instagram/v2/fetch_post_info

2 积分 / 成功调用

参数位置要求说明
code_or_urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_post_info?code_or_url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post likes

GET https://dkai.store/api/v1/instagram/v2/fetch_post_likes

2 积分 / 成功调用

参数位置要求说明
code_or_urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_post_likes?code_or_url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch similar users

GET https://dkai.store/api/v1/instagram/v2/fetch_similar_users

2 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_similar_users'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user followers

GET https://dkai.store/api/v1/instagram/v2/fetch_user_followers

2 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_user_followers'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user following

GET https://dkai.store/api/v1/instagram/v2/fetch_user_following

2 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_user_following'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user highlights

GET https://dkai.store/api/v1/instagram/v2/fetch_user_highlights

2 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_user_highlights'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user info

GET https://dkai.store/api/v1/instagram/v2/fetch_user_info

2 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_user_info'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user posts

GET https://dkai.store/api/v1/instagram/v2/fetch_user_posts

2 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_user_posts'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user reels

GET https://dkai.store/api/v1/instagram/v2/fetch_user_reels

2 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_user_reels'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user stories

GET https://dkai.store/api/v1/instagram/v2/fetch_user_stories

2 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_user_stories'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。